<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="style.css">
  <style type="text/css">
    @font-face { font-family: Roboto; src: url("chrome-extension://mcgbeeipkmelnpldkobichboakdfaeon/css/Roboto-Regular.ttf"); }
  </style>
  <title>Document</title>
</head>
<body>
  <header>
    <h1>HTML5 Semantics and Flexbox</h1>
  </header>
  <div class="row">
    <nav>
      <h3>Navigate</h3>
      <strong>
        Home
        <br>
        <a href="#">Link1</a>
        <br>
        <a href="#">Link2</a>
      </strong>
    </nav>
    <main class="column">
      <article>
        <h2>About This Page</h2>
        <p>
          On this page, I am experimenting with HTML5 semantics and CSS flexbox for a tidy layout.
        </p>
        <p>
          On JS Bin, I purposedly includes the stylesheet on the HTML tab (instead of separate CSS tab) for easier code reading for those with small screen.
        </p>
        <p>
          The main element is placed within a div element along with nav and aside. I don't know if this is right or wrong (let me know?).
        </p>
        <p>
          Navigation links are placed within nav, laid on the left. The main is at the center column (this column). Within it is the main topic (this article).
        </p>
        <p>
          The aside element is at the rightmost of the column, I put supplemental information on it.
        </p>
      </article>
      <article>
        <h2>Test This Page!</h2>
        <p>
          Do test this page by:
        </p>
        <ul>
          <li>
            Resizing the browser windows; see if flexbox lives up to its reputation.
          </li>
          <li>
            Run HTML Outliner or HeadingsMap (or similar tool) and see if the outline is good.
          </li>
          <li>
            Check the markup in this page with W3C Markup validator; see if the markups are good. Paste the URL of this page to the address column.
            <a href="#">Click here to try!</a>
            .
          </li>
          <li>
            Check the CSS part of this page too!
            <a href="#">Click here!</a>
          </li>
        </ul>
      </article>
    </main>
    <aside>
      <h2>HTML</h2>
      <p>Stands for HyperText Markup Language. The current standard is HTML5.</p>
      <h2>CSS</h2>
      <p>Stands for Cascaded Style Sheet. The current standard is CSS3.</p>
      <h2>URL</h2>
      <p>Short for Uniform Resource Locator. It is a reference (an address) to a resource on the Internet.</p>
    </aside>
  </div>
  <footer>Aug, 2022 @ Devcamp</footer>
</body>
</html>